%{!?dist: %define dist .slc6}
Name: hyperv-scsi-udev
Version: 0.1
Release: 0%{?dist}
Summary: Udev rules to set disk timeout to 180 seconds
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%description 
%{name} contains a udev rule to set the disk timeout values to 180 seconds

This is a workaround to the issue listed in
http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=1009465 :

   During a host storage path failover, a Linux Guest operating system reports
   a system error or file system error, encounters a kernel panic, or becomes 
   unresponsive. 
%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/etc/udev/rules.d/
install -m 644 99-hyperv-scsi-udev.rules ${RPM_BUILD_ROOT}/%{_sysconfdir}/udev/rules.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config %{_sysconfdir}/udev/rules.d/

%changelog
* Wed Mar 21 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- rename udev rule file

* Wed Mar 21 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-0
- initial build
